package com.steerinfo.metermonitor.metermonitornoteprogram.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量程序处理日志表")
public class MeterMonitorNoteProgram implements IBasePO<String> {
    /**
     * 表主键(ALARM_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="表主键",required=true)
    private String alarmNo;

    /**
     * 计量点编号(meter_base_spot_info)(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号(meter_base_spot_info)",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(meter_base_spot_info)(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称(meter_base_spot_info)",required=false)
    private String baseSpotName;

    /**
     * 计量日志类型编码(NOTE_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量日志类型编码",required=false)
    private String noteTypeNo;

    /**
     * 计量日志类型名称(NOTE_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量日志类型名称",required=false)
    private String noteTypeName;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 委托编号(PREDICTION_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="委托编号",required=false)
    private String predictionNo;

    /**
     * 日志内容(OPERATION_CONTENT,VARCHAR,150)
     */
    @ApiModelProperty(value="日志内容",required=false)
    private String operationContent;

    /**
     * 记录时间(OPERATION_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录时间",required=false)
    private Date operationTime;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.alarmNo;
    }

    @Override
    public void setId(String alarmNo) {
        this.alarmNo = alarmNo == null ? null : alarmNo.trim();
    }

    public String getAlarmNo() {
        return alarmNo;
    }

    public void setAlarmNo(String alarmNo) {
        this.alarmNo = alarmNo == null ? null : alarmNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getNoteTypeNo() {
        return noteTypeNo;
    }

    public void setNoteTypeNo(String noteTypeNo) {
        this.noteTypeNo = noteTypeNo == null ? null : noteTypeNo.trim();
    }

    public String getNoteTypeName() {
        return noteTypeName;
    }

    public void setNoteTypeName(String noteTypeName) {
        this.noteTypeName = noteTypeName == null ? null : noteTypeName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getOperationContent() {
        return operationContent;
    }

    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent == null ? null : operationContent.trim();
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", alarmNo=").append(alarmNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", noteTypeNo=").append(noteTypeNo);
        sb.append(", noteTypeName=").append(noteTypeName);
        sb.append(", carNo=").append(carNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", operationContent=").append(operationContent);
        sb.append(", operationTime=").append(operationTime);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}